/*******************************************************************************
 * Copyright (c) 2010, 2014 INRIA-CNRS (Espresso/TEA team).
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Loic Besnard, Francois Fabre, Thierry Gautier: Initial API and implementation and/or initial documentation
 */

package fr.inria.tea.ssme.polychrony;

public class EnvironmentConstants {
	public static final String	EXPECTED_SIGNALTOOLBOX              = "4.22"; 
	public static final String	SSME_VERSION 				        = "1.0.0";
	
	public static final String	LIBRARY_PATH						= "SIGNAL_LIBRARY_PATH";
	public static final String	TYPE_TABLE_SIZE						= "SHELL_TypeTableMaxSize";
	public static final int		TYPE_TABLE_SIZE_DEFAULT_VALUE		= 4096;
	public static final String	TREE_MEMORY_SIZE					= "T_MEM_ARB";
	public static final int		TREE_MEMORY_SIZE_DEFAULT_VALUE		= 60000000;
	public static final String	STRING_MEMORY_SIZE					= "T_MEM_CHAIN";
	public static final int		STRING_MEMORY_SIZE_DEFAULT_VALUE	= 1048576;

	
	public static final String  POP_SIGNALTOOLBOX_PREF =  "pop_polarsys.data"; // this file is in the $Signal_bin directory of the SignalToolBox.
}
