/*******************************************************************************
 * Copyright (c) 2010, 2014 INRIA-CNRS (Espresso/TEA team).
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Loic Besnard, Francois Fabre, Thierry Gautier: Initial API and implementation and/or initial documentation
 */

package fr.inria.tea.ssme.polychrony;

/**
 * Class for containing the return of n_getType method declared in SignalTreeExploring.
 */
public class TypeValue {
	/** The operator of type for a declaration */
	public int	operator;
	
	/** The type represented as an abstract tree */
	public long	abstractTree;
	
	public TypeValue(int operator, long abstractTree) {
		this.operator = operator;
		this.abstractTree = abstractTree;
	}
}
