/*******************************************************************************
 * Copyright (c) 2010, 2014 INRIA-CNRS (Espresso/TEA team).
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Loic Besnard, Francois Fabre, Thierry Gautier: Initial API and implementation and/or initial documentation
 */

package fr.inria.tea.ssme.polychrony.preferences;

public class SsmePreferenceConstants {
	
	public final static String	SIGNAL_LIBRARY_PATH	= "SignalLib_Std";
	public final static String	SIGNALTOOLBOX_ROOT	= "SignalToolBox";
	public final static String	TYPE_TABLE_SIZE	= "maxTypeTableSize";
	public final static String	T_MEM_ARB	    = "polychronyTreeMemorySize";
	public final static String	CHAIN_MEM_ARB	= "polychronyStringMemorySize";
}
