/*******************************************************************************
 * Copyright (c) 2010, 2014 INRIA-CNRS (Espresso/TEA team).
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Loic Besnard, Francois Fabre, Thierry Gautier: Initial API and implementation and/or initial documentation
 */

package fr.inria.tea.ssme.texteditor.editor;

import fr.inria.tea.ssme.texteditor.SignalEditorConfiguration;
import org.eclipse.ui.editors.text.TextEditor;

/**
 * This class defines the Signal textual editor
 */
public class SignalTextEditor extends TextEditor {
	public SignalTextEditor() {
		setSourceViewerConfiguration(new SignalEditorConfiguration());
	}
}
